'use strict';

const path = require('path');

const chalk = require('chalk');

const parseArgs = require('minimist');

const argv = parseArgs(process.argv.slice(2), {
    string: [
        'root'
    ]
});

const root = argv.root || process.cwd();

const pkg = require(path.join(root, 'package.json'));

const akrnName = require('../package.json').akPackage;

const verReg = /^[^\/]+$/;

const isVersion = value => {

    return value !== undefined && value !== null && verReg.test(value);
};

// 使用到@aknpm/akrn时
// 校验其依赖
if (!(pkg.dependencies && (akrnName in pkg.dependencies) && isVersion(pkg.dependencies[akrnName]))) {

    console.error(chalk.red(`Error: ${akrnName} not specified in dependencies or ${akrnName} version not correct`));

    process.exit(1);
}

module.exports = {
    name: akrnName,
    version: `akrn_${pkg.dependencies[akrnName]}`
};
